Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.project
Class DataMapProject

    java.lang.Object
      org.apache.cayenne.project.Project
          org.apache.cayenne.project.DataMapProject

    public class DataMapProject

extends Project

Cayenne project that consists of a single DataMap.

Author:
  Andrus Adamchik

Field Summary
`protected DataMap` | `map`

Fields inherited from class org.apache.cayenne.project.Project
`CURRENT_PROJECT_VERSION, files, modified, projectDir, upgradeMessages, upgradeStatus`

Constructor Summary
`DataMapProject(File projectFile)` Constructor for MapProject.

Method Summary
`void` | `checkForUpgrades()` Does nothing.
`List` | `getChildren()` Returns a list that contains project DataMap as a single object.
`ConfigStatus` | `getLoadStatus()` Always returns empty status.
`protected void` | `postInitialize(File projectFile)` Initializes internal `map` object and then calls super.
`ProjectFile` | `projectFileForObject(Object obj)` Returns appropriate ProjectFile or null if object does not require a file of its own.
`void` | `upgrade()`

Methods inherited from class org.apache.cayenne.project.Project
`buildFileList, createProject, deleteFile, findFile, getMainFile, getProjectDirectory, getUpgradeMessages, getUpgradeStatus, getValidator, hasRenamedFiles, initialize, isLocationUndefined, isModified, prepareSave, processDelete, processSave, resolveFile, resolveSymbolicName, save, setModified, setProjectDirectory, treeNodes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### map

    protected DataMap map

Constructor Detail

### DataMapProject

    public DataMapProject(File projectFile)

  Constructor for MapProject.

  Parameters:
    `projectFile` -

Method Detail

### upgrade

    public void upgrade()
                 throws ProjectException

  Specified by:
    `upgrade` in class `Project`
  Throws:
    `ProjectException`
  Since:
    1.1

### checkForUpgrades

    public void checkForUpgrades()

  Does nothing.

  Specified by:
    `checkForUpgrades` in class `Project`

### postInitialize

    protected void postInitialize(File projectFile)

  Initializes internal `map` object and then calls super.

  Overrides:
    `postInitialize` in class `Project`

### getChildren

    public List getChildren()

  Returns a list that contains project DataMap as a single object.

  Specified by:
    `getChildren` in class `Project`

### projectFileForObject

    public ProjectFile projectFileForObject(Object obj)

  Returns appropriate ProjectFile or null if object does not require a file of its own. In case of DataMapProject, the only object that requires a file is the project itself.

  Specified by:
    `projectFileForObject` in class `Project`

### getLoadStatus

    public ConfigStatus getLoadStatus()

  Always returns empty status. Map projects do not support status tracking yet.

  Specified by:
    `getLoadStatus` in class `Project`
  Returns:
    An object describing failures in the loaded project.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 Apache Cayenne. All Rights Reserved.